Module org.jboss.classfilewriter
Package org.jboss.classfilewriter.code

# Class TableSwitchBuilder.ValuePair

java.lang.Object
org.jboss.classfilewriter.code.TableSwitchBuilder.ValuePair

Enclosing class:
  `TableSwitchBuilder`

public static class TableSwitchBuilder.ValuePair extends Object

## Constructor Summary

Constructors
Constructor
Description
`ValuePair(AtomicReference<BranchEnd> branchEnd)`
`ValuePair(CodeLocation location)`

## Method Summary

Modifier and Type
Method
Description
`AtomicReference<BranchEnd>`
`getBranchEnd()`
`CodeLocation`
`getLocation()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ValuePair

public ValuePair(AtomicReference<BranchEnd> branchEnd)

### ValuePair

public ValuePair(CodeLocation location)

## Method Details

### getLocation

public CodeLocation getLocation()

### getBranchEnd

public AtomicReference<BranchEnd> getBranchEnd()